#### D.15.2.16 normalForm

Procedure from library `arnold.lib` (see arnold_lib).

Usage:
  normalForm(F); F Poly or F NormalForm which can be computed using @ref(determineNormalForm)

Return:
  the normalform of F.value or N.normalForm

Example:

    LIB "arnold.lib";
    ring R = 0,(x,y,z),ds;
    poly g = (x^2+y^2)^2+5*x^(10)+y^(11)+z^2;
    g = x^2*y^4+y^2*x^4+5*x^(10)+y^(11)+x^4*y^3+z^2;
    poly phix = x+y^2+x^2+x*y+x^2*y+x*y^3;
    poly phiy = y+y^2+2*x^2+x*y+y*x^2+y^2*x+x*y^4;
    poly phiz = z+2*x+x^2+y^4*x;
    map phi = R,phix,phiy,phiz;
    g = phi(g);
    Poly F = makePoly(g);
    NormalForm N;
    N=determineNormalForm(F);
    normalForm(F);
    ==> (a(4))*x^4*y^2+(a(5))*x^3*y^3+(a(6))*x^2*y^4+(a(2))*x^4*y^3+(a(3))*x^3*y^\
       4+x^7*y+(a(1))*x^4*y^4+y^11+x^35
    ==>
    normalForm(N);
    ==> (a(4))*x^4*y^2+(a(5))*x^3*y^3+(a(6))*x^2*y^4+(a(2))*x^4*y^3+(a(3))*x^3*y^\
       4+x^7*y+(a(1))*x^4*y^4+y^11+x^35
    ==>

User manual for Singular version 4.4.1, 2025, generated by texi2html.